Bug 468226 - Review Request: python-tw-jquery - ToscaWidgets wrapping for jQuery
Review Request: python-tw-jquery - ToscaWidgets wrapping for jQuery
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 12:35 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.9.5-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-29 18:01:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkeating: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-10-23 12:35:46 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-tw-jquery.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-tw-jquery-0.9.1-0.1.dev20081021.fc9.src.rpm
Description:
ToscaWidgets wrapping for jQuery
Comment 1 Jesse Keating 2008-12-13 16:59:48 EST
Taking review.
Comment 2 Jesse Keating 2008-12-13 17:07:46 EST
* Python define good
* Source0 is a 404
* Commented out %doc isn't likely commented out.  You need %%doc
* MANY files lack license header info
* PKG-INFO lists the license as UNKNOWN, there is no fallback for unlicensed files.
* Some files are licensed under MIT /and/ GPL

* rpmlint output:
python-tw-jquery.noarch: W: no-documentation
python-tw-jquery.noarch: W: hidden-file-or-dir /usr/lib/python2.6/site-packages/tw/jquery/static/css/flexigrid/images/._fhbg.gif
python-tw-jquery.noarch: W: hidden-file-or-dir /usr/lib/python2.6/site-packages/tw/jquery/static/css/flexigrid/._ie.css
python-tw-jquery.noarch: W: hidden-file-or-dir /usr/lib/python2.6/site-packages/tw/jquery/static/css/flexigrid/._images
python-tw-jquery.noarch: W: hidden-file-or-dir /usr/lib/python2.6/site-packages/tw/jquery/static/css/flexigrid/images/._wbg.gif
python-tw-jquery.noarch: E: htaccess-file /usr/lib/python2.6/site-packages/tw/jquery/static/javascript/validate/demo/captcha/images/.htaccess
python-tw-jquery.noarch: W: hidden-file-or-dir /usr/lib/python2.6/site-packages/tw/jquery/static/css/flexigrid/._flexigrid.css
2 packages and 0 specfiles checked; 1 errors, 6 warnings.

** SUMMARY **
Needs a license audit.
Needs an updates Source
rpmlint issues need accounting for or fixing.
Comment 3 Luke Macken 2009-06-02 10:54:31 EDT
I just did an upstream release that now contains a LICENSE.txt, and I also added the MIT license header to all of the python modules.

http://lmacken.fedorapeople.org/rpms/python-tw-jquery-0.9.4.3-1.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-tw-jquery.spec

* Tue Jun 02 2009 Luke Macken <lmacken@redhat.com> - 0.9.4.3-1
- Latest upstream release

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 0.9.4.2-1
- Update to 0.9.4.2
- Require python-tw-forms
Comment 4 Luke Macken 2009-06-02 11:21:02 EDT
* Tue Jun 02 2009 Luke Macken <lmacken@redhat.com> - 0.9.4.4-1
- Latest upstream release, which includes the license

http://lmacken.fedorapeople.org/rpms/python-tw-jquery-0.9.4.4-1.fc10.src.rpm
Comment 5 Jesse Keating 2009-06-10 18:04:11 EDT
rpmlint still takes issues with some of the files, what's going on with those?

$ rpmlint ../Download/python-tw-jquery-0.9.4.4-1.fc12.noarch.rpm 
python-tw-jquery.noarch: W: hidden-file-or-dir /usr/lib/python2.6/site-packages/tw/jquery/static/css/flexigrid/._ie.css
python-tw-jquery.noarch: W: hidden-file-or-dir /usr/lib/python2.6/site-packages/tw/jquery/static/css/flexigrid/._images
python-tw-jquery.noarch: W: hidden-file-or-dir /usr/lib/python2.6/site-packages/tw/jquery/static/css/flexigrid/images/._wbg.gif
python-tw-jquery.noarch: W: hidden-file-or-dir /usr/lib/python2.6/site-packages/tw/jquery/static/css/flexigrid/._flexigrid.css
python-tw-jquery.noarch: W: hidden-file-or-dir /usr/lib/python2.6/site-packages/tw/jquery/static/css/flexigrid/images/._fhbg.gif
python-tw-jquery.noarch: E: htaccess-file /usr/lib/python2.6/site-packages/tw/jquery/static/javascript/validate/demo/captcha/images/.htaccess
Comment 6 Luke Macken 2009-06-18 19:37:10 EDT
http://lmacken.fedorapeople.org/rpms/python-tw-jquery.spec
http://lmacken.fedorapeople.org/rpms/python-tw-jquery-0.9.4.5-1.el5.src.rpm

* Thu Jun 18 2009 Luke Macken <lmacken@redhat.com> - 0.9.4.5-1
- Latest upstream release, with various module cleanups
Comment 7 Brennan Ashton 2009-07-26 14:53:10 EDT
ping?
Comment 8 Jesse Keating 2009-08-04 14:31:38 EDT
All good now, approving.
Comment 9 Luke Macken 2009-08-04 15:34:47 EDT
New Package CVS Request
=======================
Package Name: python-tw-jquery
Short Description: ToscaWidgets wrapping for jQuery
Owners: lmacken
Branches: F-10 F-11 EL-5
Comment 10 Jason Tibbitts 2009-08-04 16:33:00 EDT
CVS  done.
Comment 11 Fedora Update System 2009-08-10 14:04:35 EDT
python-tw-jquery-0.9.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-tw-jquery-0.9.5-1.fc10
Comment 12 Fedora Update System 2009-08-10 14:04:41 EDT
python-tw-jquery-0.9.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-tw-jquery-0.9.5-1.fc11
Comment 13 Fedora Update System 2009-08-10 14:04:46 EDT
python-tw-jquery-0.9.5-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-tw-jquery-0.9.5-1.el5
Comment 14 Fedora Update System 2009-08-11 16:37:45 EDT
python-tw-jquery-0.9.5-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tw-jquery'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0268
Comment 15 Fedora Update System 2009-08-11 18:34:42 EDT
python-tw-jquery-0.9.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tw-jquery'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8478
Comment 16 Fedora Update System 2009-08-11 18:41:04 EDT
python-tw-jquery-0.9.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tw-jquery'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8500
Comment 17 Fedora Update System 2009-09-29 18:01:43 EDT
python-tw-jquery-0.9.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-09-29 21:36:15 EDT
python-tw-jquery-0.9.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-09-29 21:37:03 EDT
python-tw-jquery-0.9.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.